#ifndef CLOCKCHARTFORM_H
#define CLOCKCHARTFORM_H

#include <QWidget>
#include "qcustomplot.h"
#include "common/LinearRegression.h"
#include "common/utils/SettingConfig.h"

namespace Ui {
class ClockChartForm;
}

class ClockChartForm : public QWidget
{
    Q_OBJECT

public:
    explicit ClockChartForm(QWidget *parent = nullptr);
    ~ClockChartForm();

    void setTitleText(QString titleText);
    void initDataChart(QList<QStringList> hisDataVect);

private slots:
    void on_btnChartClose_clicked();

private:
    Ui::ClockChartForm *ui;
};

#endif // CLOCKCHARTFORM_H
